<?php
/**
* Web Application Component Toolkit
*
* @link http://www.phpwact.org/
*
* @author Wact Development Team
* @link http://www.phpwact.org/team
*
* @copyright Copyright 2006, Jeff Moore
* @license http://opensource.org/licenses/mit-license.php MIT
*/

/**
* A fake parameter
*/
class Wact_Request_None extends Wact_Request_Parameter {

    function __construct() {
        // We are anonymous!
        parent::__construct(uniqid());
    }

    function getRawValue() {
        return NULL;
    }

    function hasValue() {
        return FALSE;
    }

}

?>